Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879421 - SELinux is preventing /usr/libexec/mission-control-5 from 'connectto' accesses on the unix_stream_socket /run/dbus/system_bus_socket.
Summary: SELinux is preventing /usr/libexec/mission-control-5 from 'connectto' accesse...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c31d97f3f1defd0666e457e82e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-22 23:02 UTC by Elad Alfassa
Modified: 2012-12-07 04:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 04:32:25 UTC
Type: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-11-22 23:02 UTC, Elad Alfassa
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-11-22 23:02 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2012-11-22 23:02:43 UTC
Additional info:
libreport version: 2.0.18
kernel:         3.6.6-9.fc18.x86_64

description:
:SELinux is preventing /usr/libexec/mission-control-5 from 'connectto' accesses on the unix_stream_socket /run/dbus/system_bus_socket.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that mission-control-5 should be allowed connectto access on the system_bus_socket unix_stream_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep 64636F6E6620776F726B6572 /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
:Target Objects                /run/dbus/system_bus_socket [ unix_stream_socket ]
:Source                        64636F6E6620776F726B6572
:Source Path                   /usr/libexec/mission-control-5
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           telepathy-mission-control-5.14.0-1.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-50.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.6-3.fc18.x86_64 #1 SMP Mon Nov
:                              5 16:26:34 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-11-19 22:33:58 IST
:Last Seen                     2012-11-19 22:33:58 IST
:Local ID                      385ae73d-93e4-4bf0-a210-b487780a7099
:
:Raw Audit Messages
:type=AVC msg=audit(1353357238.409:77): avc:  denied  { connectto } for  pid=898 comm=64636F6E6620776F726B6572 path="/run/dbus/system_bus_socket" scontext=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=unix_stream_socket
:
:
:type=SYSCALL msg=audit(1353357238.409:77): arch=x86_64 syscall=connect success=yes exit=0 a0=c a1=7f0193ffe920 a2=6e a3=0 items=0 ppid=1 pid=898 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=1 comm=64636F6E6620776F726B6572 exe=/usr/libexec/mission-control-5 subj=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: 64636F6E6620776F726B6572,xdm_dbusd_t,system_dbusd_t,unix_stream_socket,connectto
:
:audit2allow
:
:#============= xdm_dbusd_t ==============
:allow xdm_dbusd_t system_dbusd_t:unix_stream_socket connectto;
:
:audit2allow -R
:
:#============= xdm_dbusd_t ==============
:allow xdm_dbusd_t system_dbusd_t:unix_stream_socket connectto;
:

Comment 1 Elad Alfassa 2012-11-22 23:02:47 UTC
Created attachment 650096 [details]
File: type

Comment 2 Elad Alfassa 2012-11-22 23:02:49 UTC
Created attachment 650097 [details]
File: hashmarkername

Comment 3 Miroslav Grepl 2012-11-26 10:13:03 UTC
Fixed in selinux-policy-3.11.1-56.fc18

Comment 4 Fedora Update System 2012-11-28 20:58:50 UTC
selinux-policy-3.11.1-57.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-57.fc18

Comment 5 Fedora Update System 2012-11-30 06:37:19 UTC
Package selinux-policy-3.11.1-57.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-57.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-57.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-02 19:31:16 UTC
Package selinux-policy-3.11.1-59.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-59.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-59.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-12-06 20:13:54 UTC
Package selinux-policy-3.11.1-60.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-60.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-60.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-12-07 04:32:26 UTC
selinux-policy-3.11.1-60.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.